package com.ruoyi.system.domain.fgw;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_审核意见对象 fgw_shyj
 * 
 * @author boman
 * @date 2023-03-22
 */
public class FgwShyj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 审核人部门id */
    @Excel(name = "审核人部门id")
    private Long deptId;

    /** 审核人部门名称 */
    @Excel(name = "审核人部门名称")
    private String shrxm;

    /** 问题类型 */
    @Excel(name = "问题类型")
    private String wtlx;

    /** 审核结果（是否通过  1：待审核，2：通过 3:不通过) */
    @Excel(name = "审核结果", readConverterExp = "审核结果（是否通过  1：待审核，2：通过 3:不通过)")
    private String shjg;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String shyj;

    /**
     * 文件类型1: 节能审查 2: 用地预审与选址意见书 3:核准/备案 4:建议书批复 5:可研批复 6:初步设计批复 7:环境影响评价 8:生态红线不可避让论证 9: 建设用地规划许可证 10:建设工程规划许可证 11:农用地转用和土地征收批复 12:划拨决定书 13:土地出让合同 14:不动产权证 15: 工程招投标 16: 施工许可证 17: 竣工资料 18:进展情况
     */
    private String wjlx;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shsj;

    public String getWjlx() {
        return wjlx;
    }

    public void setWjlx(String wjlx) {
        this.wjlx = wjlx;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setShrxm(String shrxm) 
    {
        this.shrxm = shrxm;
    }

    public String getShrxm() 
    {
        return shrxm;
    }
    public void setWtlx(String wtlx) 
    {
        this.wtlx = wtlx;
    }

    public String getWtlx() 
    {
        return wtlx;
    }
    public void setShjg(String shjg) 
    {
        this.shjg = shjg;
    }

    public String getShjg() 
    {
        return shjg;
    }
    public void setShyj(String shyj) 
    {
        this.shyj = shyj;
    }

    public String getShyj() 
    {
        return shyj;
    }
    public void setShsj(Date shsj) 
    {
        this.shsj = shsj;
    }

    public Date getShsj() 
    {
        return shsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("deptId", getDeptId())
            .append("shrxm", getShrxm())
            .append("wtlx", getWtlx())
            .append("shjg", getShjg())
            .append("shyj", getShyj())
            .append("shsj", getShsj())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
